/**
 * @mainpage
 * @author Aleksander Bułanowski (3.0), Lukasz Bialek (2.0, 2.1, 2.2, 2.3, 2.5, 3.1, 4.0, 4.1, 5.0, 5.1, 5.2), Lukasz Makar (2.4), Patryk Spanily (1.0)
 * @date 2020.05.13
 * @par Introduction
 * Inter4ql is an four valued logic language (called 4ql, more at http://www.4ql.org/) interpreter.
 * @par Used technologies
 * Inter4ql is using bison, flex and doxygen (to generate this documentation).
 */

#include <iostream>
#include <string>
#include "Application.h"

/* main function, main program loop */
int main(int argc, char *argv[]) {
	//std::string program_name = argv[0];

	argc--, argv++; /* delete program name from command line arguments */

	/* start new program */
	Inter4ql::Application *p = new Inter4ql::Application();
	p->start(); /* loop will be automatically ended when done */
	delete p;

	return 0;
}

