#include <iostream>
#include <string.h>
#include <stdlib.h>

void print_help() {
        std::cout << "Inter4q plugin - contains" << std::endl << std::endl << "Usage: Put into Plugins in Inter4ql directory and run interpreter. This plugin will be automatically recognized and installed." << std::endl;
}

void print_interface() {
        std::cout << "STRING STRING" << std::endl;
}

int calculate(std::string s1, std::string s2) {
        unsigned found = s1.find(s2);
        if (found!=std::string::npos)
                return 1;
        return 0;
}

int main(int argc, char *argv[]) {
        argc--; argv++;

        if(argc == 0) {
                std::cout << "At least one argument should be passed!" << std::endl;
                return -1;
        }
        
        if(strcmp(argv[0], "help") == 0) {
                print_help();
                return 0;
        }

        if(strcmp(argv[0], "interface") == 0) {
                print_interface();
                return 0;
        }

        if(strcmp(argv[0], "calculate") == 0) {

                return calculate( std::string(argv[1], strlen(argv[1])), std::string(argv[2], strlen(argv[2])));
        }

        std::cout << "Option " << argv[0] << " is not known." << std::endl;
        return -1;
}
