#ifndef __CONSTRAINTS_CC__
#define __CONSTRAINTS_CC__

#include <iostream>
#include "Constraints.h"

namespace Inter4ql {

	Constraints::Constraints(Ctraints _hard, Ctraints _soft) {
		this->hard = _hard;
		this->soft = _soft;
	}

	Constraints::~Constraints(){
		if(!Disposable::errorMode) {
			if (this->soft) {
				for(std::vector<Expression*>::iterator it = soft->begin(); it != soft->end(); it++) {
					delete (*it);
				}
				delete this->soft;
			}
			if (this->hard) {
				for(std::vector<Expression*>::iterator it = hard->begin(); it != hard->end(); it++) {
					delete (*it);
				}
				delete this->hard;
			}
		}
	}

	Ctraints Constraints::get_soft_constraints() {
		return this->soft;
	}

	Ctraints Constraints::get_hard_constraints() {
		return this->hard;
	}
}

#endif
